Bug 588384 - list --consumed stand alone candlepin not returning values
Summary: list --consumed stand alone candlepin not returning values
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Candlepin
Classification: Community
Component: candlepin   
(Show other bugs)
Version: 0.5
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
: ---
Assignee: Bryan Kearney
QA Contact: Katello QA List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-03 15:50 UTC by wes hayutin
Modified: 2018-12-10 15:36 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-12-10 15:36:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description wes hayutin 2010-05-03 15:50:54 UTC
Description of problem:


[root@iolo ~]# subscription-manager-cli register --user=wd --pass=asdf
84b649c7-1a15-40ad-94e7-0bd71c9c5b9a admin wd
[root@iolo ~]# subscription-manager-cli list --available
Peer certificate commonName does not match host, expected statler.usersys.redhat.com, got XX
[root@iolo ~]# rm -Rf /etc/pki/consumer/
cert.pem  key.pem   
[root@iolo ~]# rm -Rf /etc/pki/consumer/*
[root@iolo ~]# subscription-manager-cli register --user=wd --pass=asdf
f2a4d0ea-6e5e-4139-a3e9-4f41ee857b2b admin wd
[root@iolo ~]# subscription-manager-cli list --available
 	productName               	endDate                   	id         	quantity                  
------------------------------------------------------------------------------------------------------
	SPACEWALK-001             	Tue Jul 13 00:00:00 2010  	1          	20000                    
	monitoring                	Tue Jul 13 00:00:00 2010  	2          	20000                    
	provisioning              	Tue Jul 13 00:00:00 2010  	3          	20000                    
	virtualization_host       	Tue Jul 13 00:00:00 2010  	4          	20000                    
	virtualization_host_platform 	Tue Jul 13 00:00:00 2010  	5          	20000                    
[root@iolo ~]# subscription-manager-cli subscribe --help
Usage: subscription-manager-cli subscribe [OPTIONS]

subscribe

Options:
  -h, --help           show this help message and exit
  --debug=DEBUG        debug level
  --product=PRODUCT    product
  --regtoken=REGTOKEN  regtoken
  --pool=POOL          Subscription Pool Id
[root@iolo ~]# subscription-manager-cli subscribe --product=SPACEWALK-001
[root@iolo ~]# subscription-manager-cli list --consumed
 	Product Consumed 	activeSubscription 	endDate                   	startDate                 
----------------------------------------------------------------------------------------------------------------
[root@iolo ~]# subscription-manager-cli list --consumed
 	Product Consumed 	activeSubscription 	endDate                   	startDate                 
----------------------------------------------------------------------------------------------------------------
[root@iolo ~]# subscription-manager-cli list --available
 	productName               	endDate                   	id         	quantity                  
------------------------------------------------------------------------------------------------------
	monitoring                	Tue Jul 13 00:00:00 2010  	2          	20000                    
	provisioning              	Tue Jul 13 00:00:00 2010  	3          	20000                    
	virtualization_host       	Tue Jul 13 00:00:00 2010  	4          	20000                    
	virtualization_host_platform 	Tue Jul 13 00:00:00 2010  	5          	20000                    
[root@iolo ~]# subscription-manager-cli subscribe --product=SPACEWALK-001
This consumer is already subscribed to the product 'SPACEWALK-001'
[root@iolo ~]# subscription-manager-cli subscribe --pool=1
This consumer is already subscribed to the product matching pool with id '1'
[root@iolo ~]# 
[root@iolo ~]# 
[root@iolo ~]# 
[root@iolo ~]# 
[root@iolo ~]# 
[root@iolo ~]# subscription-manager-cli list --available
 	productName               	endDate                   	id         	quantity                  
------------------------------------------------------------------------------------------------------
	monitoring                	Tue Jul 13 00:00:00 2010  	2          	20000                    
	provisioning              	Tue Jul 13 00:00:00 2010  	3          	20000                    
	virtualization_host       	Tue Jul 13 00:00:00 2010  	4          	20000                    
	virtualization_host_platform 	Tue Jul 13 00:00:00 2010  	5          	20000                    
[root@iolo ~]# 
[root@iolo ~]# 
[root@iolo ~]# 
[root@iolo ~]# subscription-manager-cli subscribe --product=monitoring 
[root@iolo ~]# subscription-manager-cli subscribe --product=provisioning
[root@iolo ~]# subscription-manager-cli subscribe --product=virtualization_host
[root@iolo ~]# subscription-manager-cli subscribe --product=virtualization_host_platform
[root@iolo ~]# subscription-manager-cli list --available
No Available subscription pools to list
[root@iolo ~]# subscription-manager-cli list --consumed
 	Product Consumed 	activeSubscription 	endDate                   	startDate                 
----------------------------------------------------------------------------------------------------------------
[root@iolo ~]#

Comment 1 wes hayutin 2010-05-03 15:52:28 UTC
candlepin 
commit 1c6c7139f470b2139d05a5b1aee4b3074aa5aa93

subscription-manager-0.48-1.el6.i686
[root@iolo ~]# cat /etc/redhat-release 
Red Hat Enterprise Linux release 6.0 Beta (Santiago)
[root@iolo ~]# uname -a
Linux iolo.rdu.redhat.com 2.6.32-19.el6.i686 #1 SMP Tue Mar 9 18:10:40 EST 2010 i686 i686 i386 GNU/Linux

Comment 2 wes hayutin 2010-05-04 14:01:20 UTC
now its working
commit 67703d3f72ab80b08ae582419ff2450968176757
Author: James Bowes <jbowes@redhat.com>


[root@dell-pe2900-01 ~]# subscription-manager-cli list
	Product                   	activeSubscription   	Expires    	Subscription        
----------------------------------------------------------------------------------------------------
	provisioning              	Not Installed        	Tue Jul 13 00:00:00 2010 	provisioning        
	SPACEWALK-001             	Not Installed        	Tue Jul 13 00:00:00 2010 	SPACEWALK-001       
[root@dell-pe2900-01 ~]# subscription-manager-cli list --consumed
 	Product Consumed 	activeSubscription 	endDate                   	startDate                 
----------------------------------------------------------------------------------------------------------------
	provisioning 	True       	Fri Jul 13 00:00:00 2007  	Tue Jul 13 00:00:00 2010 
	SPACEWALK-001 	True       	Fri Jul 13 00:00:00 2007  	Tue Jul 13 00:00:00 2010 
[root@dell-pe2900-01 ~]#

Comment 3 John Sefler 2011-05-04 14:40:15 UTC
Group move of VERIFIED Candlepin component bugs to RELEASE_PENDING

Comment 4 Bryan Kearney 2018-12-10 15:36:57 UTC
I am closing out some old bugs from 2015. So, closing these out as current release. If this is still an issue for me, please reach out.


Note You need to log in before you can comment on or make changes to this bug.